Fetch companies with corresponding data
curl --request POST \
--url https://bee.theswarm.com/v3/companies/fetch \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"linkedin_names": [
"<string>"
],
"linkedin_ids": [
123
],
"fields": [
"company_info"
]
}
'import requests
url = "https://bee.theswarm.com/v3/companies/fetch"
payload = {
"ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"linkedin_names": ["<string>"],
"linkedin_ids": [123],
"fields": ["company_info"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
linkedin_names: ['<string>'],
linkedin_ids: [123],
fields: ['company_info']
})
};
fetch('https://bee.theswarm.com/v3/companies/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_info": {
"name": "<string>",
"id": "<string>",
"linkedin_slugs": [
"<string>"
],
"alternative_names": [
"<string>"
],
"description": "<string>",
"summary": "<string>",
"contact_info": {
"email": "<string>",
"phone": "<string>",
"url": "<string>"
},
"canonical_name": "<string>",
"founded": "2023-11-07T05:31:56Z",
"workforce": {
"headcount": 123,
"historical_headcount": [
{
"timestamp": 123,
"count": 123
}
],
"size_class": "<string>"
},
"tech_stack": {
"products": [
"<string>"
]
},
"business_data": {
"identifiers": {
"stock_ticker": "<string>",
"duns_code": "<string>",
"cage_code": "<string>",
"naics_code": "<string>"
},
"customer_types": [
"<string>"
],
"stock_exchange": "<string>",
"is_acquired": true,
"is_exited": true,
"is_government": true,
"is_non_profit": true,
"is_shut_down": true,
"is_startup": true,
"is_stealth": true,
"ownership_status": "<string>",
"ownership_status_detailed": "<string>",
"patent_count": 123,
"financing_profile": {
"status": "<string>",
"ipo_date": "2023-11-07T05:31:56Z",
"outstanding_shares": 123,
"market_cap": 123
}
},
"social_media": [
{
"network": "<string>",
"id": "<string>",
"slug": "<string>",
"url": "<string>"
}
],
"locations": [
{
"name": "<string>",
"country": "<string>",
"is_primary": true
}
],
"logo_url": "<string>",
"investor": {
"type": [
"<string>"
],
"specialities": [
"<string>"
],
"investments": [
"<string>"
],
"geography_focus": [
"<string>"
]
},
"funding": {
"last_round": {
"last_round_type": "<string>",
"last_round_amount_usd": 123,
"last_round_date": "2023-11-07T05:31:56Z",
"last_round_investors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"crunchbase_slug": "<string>"
}
]
},
"rounds": [
{
"type": "<string>",
"amount_usd": 123,
"date": "2023-11-07T05:31:56Z",
"investors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"crunchbase_slug": "<string>"
}
]
}
],
"total_funding_amount_usd": 123
},
"updated_at": "2023-11-07T05:31:56Z",
"industries": [
"<string>"
],
"websites": [
"<string>"
]
},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"found_by": {
"ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"linkedin_names": [
"<string>"
],
"linkedin_ids": [
123
]
}
}
],
"not_found": [
"<string>"
]
}{
"code": 123,
"errors": [
"<string>"
]
}{
"code": 123,
"errors": [
"<string>"
]
}Endpoints (v3)
Fetch Company
Retrieve detailed information about companies by their unique identifiers.
POST
/
v3
/
companies
/
fetch
Fetch companies with corresponding data
The Fetch Company endpoint returns comprehensive data for a given company ID.
By default, the response contains basic company info and firmographic data. The
fields array accepts the following values:
- company_info β Basic company information and firmographic data (returned by default).
- tags β Tags assigned to the company.
Limits
Each identifier array (ids, linkedin_slugs, linkedin_ids) accepts up to 1,000 values per request. Combine arrays freely up to the per-array cap.
Responses
In addition to the standard error responses, this endpoint may return:402 Payment Requiredβ your teamβs API credit allowance has been exceeded. Top up or upgrade your plan to continue. See Credits & Usage.
Partner teams
Partners can execute a request in the context of a child team by passing the child teamβs ID in thex-authenticate-team header:
x-authenticate-team: <child_team_id>
- With the header β the fetch runs in the context of the child team (e.g. tag membership reflects the child team).
- Without the header β the fetch runs in the context of the team that owns the API key (default).
child_team_id is returned when you create a child team.
Example request
curl -X POST https://bee.theswarm.com/v3/companies/fetch \
-H "x-api-key: YOUR_API_KEY" \
-H "x-authenticate-team: child-team-id-123" \
-H "Content-Type: application/json" \
-d '{
"linkedin_slugs": ["theswarm"],
"fields": ["company_info", "tags"]
}'
Migrating from v2? v3 uses snake_case for all field names. The v2 equivalents were
linkedinNames, linkedinIds, notFound, and company_info.Size. See the Migrating to v3 guide.Authorizations
Headers
Partner accounts only. When present, the request is executed in the context of the specified child team (use the team_id returned by Create Team). When omitted, the request runs as the team that owns the API key.
Body
application/json
- Option 1
- Option 2
- Option 3
Was this page helpful?
βI

